<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>TxValReply</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<link href="../../../styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="../../../images/nexa-64x64.png">
<link href="../../../images/logo-icon.svg">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="../../../index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/commonMain">common</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="libnexakotlin::org.nexa.libnexakotlin/TxValReply///PointingToDeclaration//1316645254">
  <div class="breadcrumbs"><a href="../../../index.html">libnexakotlin</a><span class="delimiter">/</span><a href="../index.html">org.nexa.libnexakotlin</a><span class="delimiter">/</span><span class="current">TxValReply</span></div>
  <div class="cover ">
    <h1 class="cover"><span>Tx</span><wbr></wbr><span>Val</span><wbr></wbr><span><span>Reply</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><div class="block"><div class="block"><span class="token annotation builtin">@</span><span data-unresolved-link="kotlinx.serialization/Serializable///PointingToDeclaration/"><span class="token annotation builtin">Serializable</span></span></div></div><span class="token keyword">data </span><span class="token keyword">class </span><a href="index.html">TxValReply</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">val </span>txid<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>isValid<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>isMineable<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>isFutureMineable<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>isStandard<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>metadata<span class="token operator">: </span><a href="../-tx-val-metadata/index.html">TxValMetadata</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>errors<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">&gt;</span><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>inputs_flags<span class="token operator">: </span><a href="../-tx-val-inputs-flags/index.html">TxValInputsFlags</a><span class="token punctuation">, </span></span><span class="parameter "><span class="token keyword">val </span>inputs_mandatoryFlags<span class="token operator">: </span><a href="../-tx-val-inputs-flags/index.html">TxValInputsFlags</a></span></span><span class="token punctuation">)</span></div></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,PROPERTY,FUNCTION">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="CONSTRUCTOR">
        <h2 class="">Constructors</h2>
        <div class="table"><a data-name="650179839%2FConstructors%2F1316645254" anchor-label="TxValReply" id="650179839%2FConstructors%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-togglable="CONSTRUCTOR" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-tx-val-reply.html"><span>Tx</span><wbr></wbr><span>Val</span><wbr></wbr><span><span>Reply</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="650179839%2FConstructors%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">txid<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span></span><span class="parameter ">isValid<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter ">isMineable<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter ">isFutureMineable<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter ">isStandard<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a><span class="token punctuation">, </span></span><span class="parameter ">metadata<span class="token operator">: </span><a href="../-tx-val-metadata/index.html">TxValMetadata</a><span class="token punctuation">, </span></span><span class="parameter ">errors<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">&gt;</span><span class="token punctuation">, </span></span><span class="parameter ">inputs_flags<span class="token operator">: </span><a href="../-tx-val-inputs-flags/index.html">TxValInputsFlags</a><span class="token punctuation">, </span></span><span class="parameter ">inputs_mandatoryFlags<span class="token operator">: </span><a href="../-tx-val-inputs-flags/index.html">TxValInputsFlags</a></span></span><span class="token punctuation">)</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="-2070323459%2FProperties%2F1316645254" anchor-label="errors" id="-2070323459%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="errors.html"><span><span>errors</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2070323459%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="errors.html">errors</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">&gt;</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-916200393%2FProperties%2F1316645254" anchor-label="inputs_flags" id="-916200393%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="inputs_flags.html"><span><span>inputs_flags</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-916200393%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="inputs_flags.html">inputs_flags</a><span class="token operator">: </span><a href="../-tx-val-inputs-flags/index.html">TxValInputsFlags</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1041786034%2FProperties%2F1316645254" anchor-label="inputs_mandatoryFlags" id="-1041786034%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="inputs_mandatory-flags.html"><span>inputs_mandatory</span><wbr></wbr><span><span>Flags</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1041786034%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="inputs_mandatory-flags.html">inputs_mandatoryFlags</a><span class="token operator">: </span><a href="../-tx-val-inputs-flags/index.html">TxValInputsFlags</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="73840814%2FProperties%2F1316645254" anchor-label="isFutureMineable" id="73840814%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="is-future-mineable.html"><span>is</span><wbr></wbr><span>Future</span><wbr></wbr><span><span>Mineable</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="73840814%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="is-future-mineable.html">isFutureMineable</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1696831217%2FProperties%2F1316645254" anchor-label="isMineable" id="1696831217%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="is-mineable.html"><span>is</span><wbr></wbr><span><span>Mineable</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1696831217%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="is-mineable.html">isMineable</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="162550369%2FProperties%2F1316645254" anchor-label="isStandard" id="162550369%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="is-standard.html"><span>is</span><wbr></wbr><span><span>Standard</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="162550369%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="is-standard.html">isStandard</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1317632032%2FProperties%2F1316645254" anchor-label="isValid" id="1317632032%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="is-valid.html"><span>is</span><wbr></wbr><span><span>Valid</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1317632032%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="is-valid.html">isValid</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html">Boolean</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="2059759865%2FProperties%2F1316645254" anchor-label="metadata" id="2059759865%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="metadata.html"><span><span>metadata</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="2059759865%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="metadata.html">metadata</a><span class="token operator">: </span><a href="../-tx-val-metadata/index.html">TxValMetadata</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="712908041%2FProperties%2F1316645254" anchor-label="txid" id="712908041%2FProperties%2F1316645254" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="txid.html"><span><span>txid</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="712908041%2FProperties%2F1316645254"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="txid.html">txid</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
